package com.jacobs.pubsub;

import java.io.Serializable;

/**
 * Event is the base class from which all the domain specific event types
 * in the system.
 *
 * @author Kurt Jacobs
 *
 * Permission is hereby granted to use, copy, modify and/or distribute
 * this software for commercial and non-commercial purposes.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT WARRANTY. ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE TO ANY PARTY FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.
 *
 */

public class Event implements Serializable
{
    private String mEventType = null;

    public Event()
    {
    }

    public Event(String eventType)
    {
        setEventType(eventType);
    }

    public void setEventType(String eventType)
    {
        mEventType = eventType;
    }

    public String getEventType()
    {
        return mEventType;
    }

}

